﻿using Discord.WebSocket;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.WebSockets;
using System.Threading.Tasks;

namespace DiscoBot
{
    interface IModule
    {
        Dictionary<string,Func<SocketMessage, string[], Task>> Commands { get; set; }
        string Name { get; set; }
        void Initialize();
        void OnNewWebSocket(WebSocket ws);
    }
}
